function [url,loaddodsbool,infotext] = iesurl ...
         (getarchive, getranges, getmode, getvariablelist, getserverlist, passtimes, passdepths, whichurl)

%
%    This function will build ies file name.
%

% The preceding empty line is important
% $Log: iesurl.m,v $
% Revision 1.2  1999/10/27 22:21:48  root
% *** empty log message ***
%
% Revision 1.2  1999/10/08 16:17:06  kwoklin
% Finallize comments and slice time series from GEM output. Modified data
% size calculation to more precise level.                     klee
%
%
% $Id: iesurl.m,v 1.2 1999/10/27 22:21:48 root Exp $
% klee 06/30/99

loaddodsbool = 0; infotext = []; url = [];
% reading selected ranges

if exist(getarchive) == 2
  eval(getarchive)
else
  disp('Metadata not found!')
  return
end

starttime = passtimes(1,:);
lasttime = passtimes(2,:);
idx = passtimes(3:size(passtimes,1),:);

InstNo = [1, 2, 3, 4, 6, 7, 8, 9, 10];
InstNo2 = ['01';'02';'03';'04';'06';'07';'08';'09';'10'];
%TargetInst = InstNo(idx);

%build constraints
returned_var = [];
tmpvar = [];
tmppar = [];

URLDate = sprintf('%s','&',TimeName,'>=', num2str(starttime,9),...
                       '&',TimeName,'<=', num2str(lasttime,9));

tmpvar = deblank(getvariablelist(1,:));
returned_var = [returned_var, tmpvar, ','];
for i = 1 : size(idx,1)
  returned_var = [returned_var, 'AET_inst', InstNo2(idx(i),:)];
  if i < size(idx,1)
    returned_var = [returned_var, ','];
  end
end

Constraint = sprintf('%s', returned_var, URLDate);

% builds URL w/ Server and Constraint

URL = sprintf( '%s', Server, '?', Constraint);
url = URL;

return
