function plotirregulardata(xx,yy,zz)
%
% plots irregular data as in plotirrd, but with a '+' for each datapoint.
%

% 24 January 1998 by paul hemenway and dan codiga


% The preceeding blank line is important for cvs.
% $Id: plotirrcircle.m,v 1.1 1999/09/02 18:16:56 root Exp $
%

% $Log: plotirrcircle.m,v $
% Revision 1.1  1999/09/02 18:16:56  root
% *** empty log message ***
%
% Revision 1.1  1999/07/15 18:37:18  paul
% *** empty log message ***
%


map=colormap;
xmin=min(xx)
xmax=max(xx)
ymin=min(yy)
ymax=max(yy)
zmin=min(zz)
zmax=max(zz)
x=zmin:(zmax-zmin)/63:zmax;
y=1:64;
ind=round(interp1(x,y,zz));
figure; hold;
axis([xmin xmax ymin ymax]);
for i=1:64
 whr=find(ind==i);
 plot(xx(whr),yy(whr),'o','color',map(i,:));
end
end
