function plotirregulardata(xx,yy,zz,xmin,xmax,ymin,ymax,zmin,zmax)
%
%plotirrd3.m(xx,yy,zz,xmin,xmax,ymin,ymax,zmin,zmax)
%
% plotirrd3 plots irregular data as in plotirrd, but
% (xmin,xmax),(ymin,ymax),(zmin,zmax) specify the limits on the axes and
%      on the zrange plotted.

% 24 January 1998 by paul hemenway and dan codiga

% The preceeding blank line is important for cvs.
% $Id: plotirrd3.m,v 1.1 1999/09/02 18:16:57 root Exp $
%

% $Log: plotirrd3.m,v $
% Revision 1.1  1999/09/02 18:16:57  root
% *** empty log message ***
%
% Revision 1.1  1999/07/15 18:39:59  paul
% pdh
%

 where =find(zz<zmin);
   zz(where) = zmin*ones(size(where));
 where =find(zz>zmax);
   zz(where)=zmax*ones(size(where));
map=colormap;
x=zmin:(zmax-zmin)/63:zmax;
y=1:64;
ind=round(interp1(x,y,zz));
figure; hold;
axis([xmin xmax ymin ymax]);
for i=1:64
 whr=find(ind==i & xx>xmin & xx<xmax & yy>ymin & yy<ymax);
 plot(xx(whr),yy(whr),'.','color',map(i,:));
end
end
caxis([zmin zmax])
colorbar
