% showranges adjusts the format for the extent of each range
%  and then prints the ranges.  at the moment, showranges assumes
%  4 sets of ranges.



% The preceeding blank line is important for cvs.
% $Id: showranges.m,v 1.1 1999/09/02 18:20:24 root Exp $
%

% $Log: showranges.m,v $
% Revision 1.1  1999/09/02 18:20:24  root
% *** empty log message ***
%
% Revision 1.1  1999/06/18 20:37:59  paul
% showranges is to print the ranges variable in the workspace
% sigtest is to compute the printout significance for showranges.
%

global ranges

%set some variables:

pct = '%';
newline = '\n';
% loop through the 4 sets of ranges:

for i=1:4

%     look at the range difference and consider the significance:

     dr=ranges(i,2)-ranges(i,1);

     sig=sigtest(dr);
 
     nchar=5+sig;

     sstr = sprintf('%s%d.%df %s%d.%df%s',pct,nchar,sig,pct,nchar,sig,newline);
 
     fprintf(sstr,ranges(i,1),ranges(i,2))


end
