function [dyeararray] = derefdat(dyear)

%
% This function will deref DODS_Decimal_Year string vector into a matrix.
%
% Formal parameter
% dyear: DODS_Decimal_Year string vector from invertory search.
%
% Returned value
% dyeararray: a number matrix of times in decimal years (years and fractions).
% 

%
% $Log: derefdat.m,v $
% Revision 1.1  1999/09/02 18:32:58  root
% *** empty log message ***
%
% Revision 1.1  1999/06/01 07:10:27  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.2  1999/05/28 17:32:48  kwoklin
% Add all globec datasets. Fix depth representation for all globec datasets
% and nbneer dataset. Fix frontal display for htn and glkfront. Make use of
% getjgsta for all jgofs datasets. Point usgsmbay to new server. Point htn,
% glk, fth and prevu to new FF server.                                 klee
%

% $Id: derefdat.m,v 1.1 1999/09/02 18:32:58 root Exp $
% klee 05/17/99

dyeararray = []; 
decyear = []; dyearblank = []; dyeardiff = [];

decyear = eval('dyear');
dyearblank = find(isspace(decyear));
k = 1;  
for i = 1:length(dyearblank)
  dyeararray = [dyeararray; str2num(decyear(k:dyearblank(i)-1))];
  k = dyearblank(i) + 1;
end


