function [URL] = gomturl(archive, pass_times, StartColumn, ...
                            EndColumn, StartRow, EndRow, dset_stride, ...
                            ranges, variable, server)
%
% This function will build the GOMTOPO file name.
%

% The preceding empty line is important.
%
% $Log: gomturl.m,v $
% Revision 1.2  1999/09/02 18:27:26  root
% *** empty log message ***
%
% Revision 1.2  1999/06/01 00:53:51  dbyrne
%
%
% Many fixes in prep for AGU.  fth, htn, glk and prevu changed to use
% fileservers. -- dbyrne 99/05/31
%
% Revision 1.2  1999/05/28 17:32:51  kwoklin
% Add all globec datasets. Fix depth representation for all globec datasets
% and nbneer dataset. Fix frontal display for htn and glkfront. Make use of
% getjgsta for all jgofs datasets. Point usgsmbay to new server. Point htn,
% glk, fth and prevu to new FF server.                                 klee
%

% $Id: gomturl.m,v 1.2 1999/09/02 18:27:26 root Exp $

Server = ['http://crusty.er.usgs.gov/cgi-bin/nph-nc/gom/' deblank(server)];
variable = deblank(variable);
Constraint = [sprintf('%s',variable,'[',num2str(StartRow),':', ...
    num2str(dset_stride),':',num2str(EndRow),'][', ...
    num2str(StartColumn), ':', num2str(dset_stride), ':',...
    num2str(EndColumn), ']')];
URL = sprintf('%s', Server, '?', Constraint);
return
