From owner-dods-mlgui-tc@unidata.ucar.edu  Wed Apr 21 09:33:47 1999
Return-Path: <owner-dods-mlgui-tc@unidata.ucar.edu>
X-Authentication-Warning: laraine.unidata.ucar.edu: majordo set sender to owner-dods-mlgui-tc@unidata.ucar.edu using -f
Organization: .
Keywords: 199904211331.HAA07029
Date: Wed, 21 Apr 1999 09:32:56 -0400 (EDT)
From: Paul Hemenway <paul@koko.gso.uri.edu>
To: dods-mlgui-tc@unidata.ucar.edu
Subject: archive.m tester
Sender: owner-dods-mlgui-tc@unidata.ucar.edu
Precedence: bulk

Hi, All,

at the end of this is a first cut at an archive.m file tester I wrote
yesterday.  if your archive.m file is called "myarchive.m" then you
need to call it:

archivetester('myarchive.m')

and follow the instructions (one).  (For it to work properly you need to
run it with an empty matlab variable space.)

You can get a top-level structure diagram by grepping  for ^%.
It's only one level.

Let me know how you like it.

paul





function archivetester(filename)

% archivetester checks an archive.m file for required, optional, and
%      user-included variables.
%      It tells the category of each of the variables in the file,
%      and tells which required and "highly desirable" variables are missing.
%
%  started 19 April 1999 by paul hemenway
%

y='y';
n='n';

fprintf('you are entering a program to check your archive.m file: %s.m\n\n', ...
                  filename);
fprintf('it is best to run this routine with an empty matlab variable space\n\n');
z=input('do you want to continue? (y or n)')
if z~='y'
  fprintf('you did not specify "y"\nreturning to your calling program\n')
  return
end
fprintf('if you get the next message, you successfully read the archive.m file\n')

  clear n y z;
eval(filename);

fprintf('you successfully read the archive.m file: %s.m\n\n',filename)

   clear filename;


% process the actual archive.m variables:

  
   sc=who;

   sv=char(sc);

   asiz=size(sv);

   svindx=zeros(asiz(1),1);

% required variables:
rvc={'GetFunctionName','LonRange','LatRange','TimeRange', ...
               'DepthRange','Resolution','DataName','LongitudeName', ...
               'LatitudeName','DepthName','SelectableVariables', ...
               'DodsName','Acknowledge','Comments','DepthUnits'};

rv=char(rvc);

rvsiz=size(rv);

rvindx=zeros(rvsiz(1),1);

% optionalvariables:
ovc={'Cat_m_File','URL_m_File','CatalogServer','Server', ...
                  'Nlon','Nlat','DataScale','DataNull','DataRange', ...
                  'Data_Use_Policy'};

ov=char(ovc);

ovsiz=size(ov);

ovindx=zeros(ovsiz(1),1);

fprintf('\n');

% check the required variables:

fprintf('checking the required variables:\n\n')

for irv=1:rvsiz(1)
    currentrv=deblank(rv(irv,:));
     
     for isv=1:asiz(1)
       currentsv=deblank(sv(isv,:));
       if size(currentsv)==size(currentrv)
           if currentsv==currentrv
                rvindx(irv)=isv;
                svindx(isv)=1;
                fprintf('your variable %s is a required variable\n', ...
                             currentsv)
           end
       end
     end
end


fprintf('\n')

% check and print missing required variables:

z=find(rvindx==0);

if ~isempty(z);
   fprintf('missing required variables are:\n')
   fprintf('%s\n',rv(z,:));
else
   fprintf('all required variables are present\n\n');
end

fprintf('\n\n\n')

% check the optional variables:

fprintf('checking the optional variables:\n\n')

for iov=1:ovsiz(1)
    currentov=deblank(ov(iov,:));

     for isv=1:asiz(1)
       currentsv=deblank(sv(isv,:));
       if size(currentsv)==size(currentov)
           if currentsv==currentov
                ovindx(iov)=isv;
                svindx(isv)=1;
                fprintf('your variable %s is an optional variable\n', ...
                             currentsv)
           end
       end
     end
end

fprintf('\n')

% check and print missing optional variables:

z=find(ovindx==0);

if ~isempty(z);
   fprintf('missing optional variables are:\n')
   for iz=1:length(z)
      fprintf('%s\n',ov(z(iz),:));
   end
   fprintf('\n')
else 
   fprintf('all optional variables are present\n\n')
end

fprintf('\n')

% check for and print other variables:

z=find(svindx==0);

if ~isempty(z)
   fprintf('your other variables are:\n')
   for iz=1:length(z)
       fprintf('%s\n',sv(z(iz),:));
   end
   fprintf('\n')
else
   fprintf('no other variables are present\n\n');
end


