function plotirregulardata(xx,yy,zz,zmin,zmax)
%
%plots irregular data as in plotirrd2,
%  but with a plus instead of a period for each data point.
%

% 24 January 1998, by paul hemenway and dan codiga

% The preceeding blank line is important for cvs.
% $Id: plotirrplus2.m,v 1.1 1999/09/02 18:16:58 root Exp $
%

% $Log: plotirrplus2.m,v $
% Revision 1.1  1999/09/02 18:16:58  root
% *** empty log message ***
%
% Revision 1.1  1999/07/15 18:41:37  paul
% pdh
%

 where =find(zz<zmin);
   zz(where) = zmin*ones(size(where));
 where =find(zz>zmax);
   zz(where)=zmax*ones(size(where));
map=colormap;
xmin=min(xx)
xmax=max(xx)
ymin=min(yy)
ymax=max(yy)
x=zmin:(zmax-zmin)/63:zmax;
y=1:64;
ind=round(interp1(x,y,zz));
figure; hold;
axis([xmin xmax ymin ymax]);
for i=1:64
 whr=find(ind==i);
 plot(xx(whr),yy(whr),'+','color',map(i,:));
end
end
caxis([zmin zmax])
colorbar
